Bug 617235 - ERROR: could not load library "/usr/lib64/pgsql/dblink.so"
Summary: ERROR: could not load library "/usr/lib64/pgsql/dblink.so"
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: postgresql   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tom Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-22 14:50 UTC by Jóhann B. Guðmundsson
Modified: 2013-07-03 03:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-16 01:20:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jóhann B. Guðmundsson 2010-07-22 14:50:49 UTC
Description of problem:

If new openldap package is pushed out postgresql/dblink ( contrib )needs to be rebuild against that package!

ERROR:  could not load library "/usr/lib64/pgsql/dblink.so": /usr/lib64/libldap_r-2.4.so.2: undefined symbol: ber_sockbuf_io_udp
Version-Release number of selected component (if applicable):

How reproducible:

Always

Steps to Reproduce:
1. update to newer version than openldap-2.4.21-6.fc13.x86_64
2. psql db -U user < /usr/share/pgsql/contrib/dblink.sql
3.
  
Actual results:

The above

Expected results:

Thinks to work normally.

Additional info:

Openldap and postgres maintainers need to communicate better together so when openldap updated postgresql packages can be rebuild against that update. 

workaround downgrade to openldap-2.4.21-6.fc13.x86_64

Comment 1 Tom Lane 2010-07-22 19:57:07 UTC
Try restarting your postgresql server.  I'm not sure why the recent update to the ldap libraries necessitates that, but other people have reported that restarting the postmaster fixes this problem.

Comment 2 Tom Lane 2010-11-16 01:20:59 UTC
Closing as NOTABUG (or at least, it wasn't a postgresql bug)


Note You need to log in before you can comment on or make changes to this bug.